import { Base, Type } from "igniteui-angular-core";
import { ST_ErrValType } from "./ST_ErrValType";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_ErrValType extends Base {
    static $t: Type;
    private c;
    constructor();
    b: ST_ErrValType;
    static e(a: XmlPartManagerBase, b: ST_ErrValType): {
        p1: ST_ErrValType;
    };
    static f(a: XmlPartManagerBase, b: string, c: ST_ErrValType): void;
    toString(): string;
}
